function [X,t_mue]=my_tikh_LC(E,b,flag_reg)

%It will find out the solution for E.X=b through Tikhonov regularization
%for reference see'Arnoldi-Tikhonov regularization methods' by Bryan Lewis
%& Lothar Reichel , Elsevier 2008 Page 7
cd Tikhonov;
[U,s,V] = csvd(E);
if flag_reg==0
    lambda_l = 0;
else
    lambda_l = l_curve(U,s,b);   %axis([1e-5,1,1,1e3]);
end
x_tikh_l   = tikhonov(U,s,V,b,lambda_l);
X=x_tikh_l;
t_mue=lambda_l;
cd ..;